# Aspose.Tasks Cloud SDK For Ruby
This SDK lets you use [Aspose Cloud Tasks APIs](http://www.aspose.com/cloud/project-management-api.aspx) in your Ruby web apps.

<p align="center">
  <a title="Download complete Aspose.Tasks for Cloud source code" href="https://github.com/asposetasks/Aspose_tasks_Cloud/archive/master.zip">
	<img src="https://raw.github.com/AsposeExamples/java-examples-dashboard/master/images/downloadZip-Button-Large.png" />
  </a>
</p>

##How to Use the SDK?
The complete source code is available in this repository folder, you can either directly use it in your project or use RubyGems. For more details, please visit our [documentation website](http://www.aspose.com/docs/display/taskscloud/Available+SDKs).

## Usage
APIs of this SDK can be called as follows:

```ruby
require 'aspose_tasks_cloud'

class TasksUsage
  
  include AsposeTasksCloud
  include AsposeStorageCloud
	
  def initialize
    #Get App key and App SID from https://cloud.aspose.com
    AsposeApp.app_key_and_sid("APP_KEY", "APP_SID")
    @tasks_api = TasksApi.new  
  end

  def upload_file(file_name)
    @storage_api = StorageApi.new
    response = @storage_api.put_create(file_name, File.open("data/" << file_name,"r") { |io| io.read } )
  end
  
  def get_task_document_with_format
    #Get a project document in specified format.
    file_name = "sample-project.mpp"
    upload_file(file_name)
    format = "pdf"

    response = @tasks_api.get_task_document_with_format(file_name, format)
  end
  
end
```
## Unit Tests
Aspose Tasks SDK includes a suite of unit tests within the [test](https://github.com/asposetasks/Aspose_Tasks_Cloud/blob/master/SDKs/Aspose.Tasks_Cloud_SDK_for_Ruby/test/tasks_tests.rb) subdirectory. These Unit Tests also serves as examples of how to use the Aspose Tasks SDK.

##Contact Us
Your feedback is very important to us. Please feel free to contact us using our [Support Forums](https://www.aspose.com/community/forums/).
